aboutsummaryrefslogtreecommitdiffstats
path: root/main/chrony/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-07-27 22:59:39 +0200
committerFrancesco Colista <fcolista@alpinelinux.org>2015-07-28 08:10:43 +0000
commitc3aa1460dbeb4e1e10972fc00314d7a80413707e (patch)
tree0a2f2b6537e147a67990949e10c8c625df7f579a /main/chrony/APKBUILD
parent3f4a8ae58665488a5e3b319c3a8ac152e58ab748 (diff)
downloadaports-c3aa1460dbeb4e1e10972fc00314d7a80413707e.tar.gz
aports-c3aa1460dbeb4e1e10972fc00314d7a80413707e.tar.bz2
aports-c3aa1460dbeb4e1e10972fc00314d7a80413707e.tar.xz
main/chrony: install existing logrotate file
The chrony package already has a custom logrotate file, but it isn't installed to /etc/logrotate.d furthermore there is no need to explicitly depend on logrotate.
Diffstat (limited to 'main/chrony/APKBUILD')
-rw-r--r--main/chrony/APKBUILD14
1 files changed, 9 insertions, 5 deletions
diff --git a/main/chrony/APKBUILD b/main/chrony/APKBUILD
index d4e37c91ec..558a8a8882 100644
--- a/main/chrony/APKBUILD
+++ b/main/chrony/APKBUILD
@@ -1,13 +1,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=chrony
pkgver=2.1.1
-pkgrel=0
+pkgrel=1
_ver=${pkgver/_/-}
pkgdesc="NTP client and server programs"
url="http://chrony.tuxfamily.org/"
arch="all"
license="GPL2"
-depends="logrotate"
+depends=""
makedepends="texinfo"
subpackages="$pkgname-doc"
source="http://download.tuxfamily.org/chrony/$pkgname-$_ver.tar.gz
@@ -58,14 +58,18 @@ package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install
- install -D -m644 examples/*.example "$pkgdir"/usr/share/doc/chrony/
+ mkdir -p "$pkgdir"/etc/logrotate.d
+ install -Dm644 "$srcdir"/chrony.logrotate "$pkgdir"/etc/logrotate.d/chrony || return 1
+
+ install -Dm644 examples/*.example "$pkgdir"/usr/share/doc/chrony/
+ install -Dm755 "$srcdir"/chronyd.initd "$pkgdir"/etc/init.d/chronyd
+ install -Dm644 "$srcdir"/chronyd.confd "$pkgdir"/etc/conf.d/chronyd
- install -m755 -D "$srcdir"/chronyd.initd "$pkgdir"/etc/init.d/chronyd
- install -m644 -D "$srcdir"/chronyd.confd "$pkgdir"/etc/conf.d/chronyd
mkdir -p "$pkgdir"/var/lib/chrony \
"$pkgdir"/var/log/chrony \
"$pkgdir"/etc/chrony
touch "$pkgdir"/etc/chrony/chrony.drift
+
install -m644 "$srcdir"/chrony.conf "$pkgdir"/etc/chrony/chrony.conf
}
md5sums="15e470a51ab6e09e65bc0a2fbc5299af chrony-2.1.1.tar.gz